
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">

<style type="text/css">
    .ui-row-editor .ui-row-editor-pencil {
        margin-left:8px;
    }
</style>

<h:head>
    <link type="text/css" rel="stylesheet" href="#{request.contextPath}/themes/cupertino/skin.css"/>
</h:head>

<form action="${request.contextPath}/appLogout" method="POST">
    <input type="submit" value="Logout"/>
    <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
</form>
<h5>Username : ${dtUserAddRowView.authUser} <br/></h5>>

<h:form id="form">
    <h:button value="Go Home" outcome="/index.xhtml" style="margin-right:20px;" ajax="false" icon="pi pi-home" />

    <p:growl id="msgs" showDetail="true"/>

    <p:dataTable id="tasks" widgetVar="tasks" var="task" value="#{dtTaskAddRowView.tasks}" editable="true"
                 style="margin-bottom:20px" rowKey="#{task.id}" selection="#{dtTaskEditView.selectedTask}" selectionMode="single">>
        <f:facet name="header">
            All Tasks
        </f:facet>

        <p:ajax event="rowEdit" listener="#{dtTaskAddRowView.onRowEdit}" update=":form:msgs" />
        <p:ajax event="rowEditCancel" listener="#{dtTaskAddRowView.onRowCancel}" update=":form:msgs" />

        <p:column headerText="Id">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{task.id}" /></f:facet>
                <f:facet name="input"><p:inputText id="modelInput" value="#{task.id}" style="width:100%"/></f:facet>
            </p:cellEditor>
        </p:column>

        <p:column headerText="Name">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{task.name}" /></f:facet>
                <f:facet name="input"><p:inputText value="#{task.name}" style="width:100%" label="Name"/></f:facet>
            </p:cellEditor>
        </p:column>

        <p:column headerText="Description">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{task.description}" /></f:facet>
                <f:facet name="input"><p:inputText value="#{task.description}" style="width:100%" label="Description"/></f:facet>
            </p:cellEditor>
        </p:column>

        <p:column headerText="Project">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{task.project.name}" /></f:facet>
                <f:facet name="input">
                    <!--<h:selectOneMenu value="#{task.user}" converter="SelectItemToUserEntityConverter" style="width:100%">-->
                    <h:selectOneMenu value="#{task.project}" style="width:100%">
                        <f:selectItems value="#{dtTaskEditView.projects}" var="project" itemLabel="#{project.name}" itemValue="#{project}" />
                    </h:selectOneMenu>
                </f:facet>
            </p:cellEditor>
        </p:column>

        <p:column headerText="User">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{task.user.login}" /></f:facet>
                <f:facet name="input">
                    <!--<h:selectOneMenu value="#{task.user}" converter="SelectItemToUserEntityConverter" style="width:100%">-->
                    <h:selectOneMenu value="#{task.user}" style="width:100%">
                        <f:selectItems value="#{dtTaskEditView.users}" var="user" itemLabel="#{user.login}" itemValue="#{user}" />
                    </h:selectOneMenu>
                </f:facet>
            </p:cellEditor>
        </p:column>

        <p:column headerText="Date start">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{task.dateStart}" /></f:facet>
                <f:facet name="input"><p:inputText value="#{task.dateStart}" style="width:100%" label="Date start" converter="myDateTimeConverter"  /> </f:facet>
            </p:cellEditor>
        </p:column>


        <p:column headerText="Date finish">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{task.dateFinish}" /></f:facet>
                <f:facet name="input"><p:inputText value="#{task.dateFinish}" style="width:100%" label="Date finish" converter="myDateTimeConverter"/></f:facet>
            </p:cellEditor>
        </p:column>

        <p:column headerText="Status">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{task.status}" /></f:facet>
                <f:facet name="input">
                    <h:selectOneMenu value="#{task.status}" style="width:100%">
                        <f:selectItems value="#{dtTaskEditView.statuses}" var="status" itemLabel="#{status}" itemValue="#{status}" />
                    </h:selectOneMenu>
                </f:facet>
            </p:cellEditor>
        </p:column>

        <p:column style="width:32px">
            <p:rowEditor />
        </p:column>
    </p:dataTable>

    <div class="ui-g">
        <div class="ui-g-12">
            <p:commandButton value="Add new row" styleClass="ui-priority-primary" process="@this" update=":form:msgs"
                             action="#{dtTaskAddRowView.onAddNew()}" oncomplete="PF('tasks').addRow();"/>
        </div>
    </div>

    <p:contextMenu for="tasks">
        <p:menuitem value="Delete" update=":form:msgs" icon="pi pi-times" action="#{dtTaskEditView.deleteTask}"/>
    </p:contextMenu>

</h:form>

</html>